=== debian/changelog ===
prometheus-exporter-exporter (0.4.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 26 Jun 2025 11:07:35 +1000

prometheus-exporter-exporter (0.4.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 13:56:43 +1000

prometheus-exporter-exporter (0.4.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:05:20 +0530

prometheus-exporter-exporter (0.4.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:33 +1200

prometheus-exporter-exporter (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #968029).

 -- Johan Fleury <jfleury@arcaik.net>  Wed, 26 Aug 2020 11:43:59 +0000
