## prometheus-exporter-exporter 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 GITHUB_ORG  = QubitProducts
 GITHUB_REPO = exporter_exporter
-VERSION      = 0.4.0
+VERSION      = 0.5.0
 
 DOCKER_REGISTRY     = qubitproducts
 DOCKER_NAME         = exporter_exporter
@@ -75,6 +75,7 @@
 $(PACKAGE_FILE): prepare-package
 	cd dist && \
 	  fpm \
+		-f \
 	  -t $(PACKAGE_TARGET) \
 	  -m $(PACKAGE_MAINTAINER) \
 	  -n $(PACKAGE_NAME) \
@@ -89,7 +90,7 @@
 	  .
 
 .PHONY: build-docker release-docker
-build-docker: 
+build-docker:
 	docker build -t $(DOCKER_IMAGE) .
 
 release-docker: build-docker
@@ -104,12 +105,19 @@
 					-X main.BuildDate=$(BUILDDATE)
 
 build/$(BINNAME)-$(VERSION).windows-amd64/$(BINNAME).exe: $(SRCS)
-	GOOS=$* GOARCH=amd64 $(GO) build \
+	@GOOS=windows GOARCH=amd64 $(GO) build \
 	 -ldflags "$(LDFLAGS)" \
 	 -o $@ \
 	 .
-build/$(BINNAME)-$(VERSION).windows-amd64.zip: build/expoter_exporter-$(VERSION).windows-amd64/$(BINNAME).exe
-	zip $@ $<
+
+build/$(BINNAME)-$(VERSION).windows-amd64.zip: build/exporter_exporter-$(VERSION).windows-amd64/$(BINNAME).exe
+	zip -j $@ $<
+
+build/$(BINNAME)-$(VERSION).%-arm64/$(BINNAME): $(SRCS)
+	GOOS=$* GOARCH=arm64 $(GO) build \
+ 	 -ldflags "$(LDFLAGS)" \
+ 	 -o $@ \
+	 .
 
 build/$(BINNAME)-$(VERSION).%-amd64/$(BINNAME): $(SRCS)
 	GOOS=$* GOARCH=amd64 $(GO) build \
@@ -117,10 +125,13 @@
 	 -o $@ \
 	 .
 
+build/$(BINNAME)-$(VERSION).%-arm64.tar.gz: build/$(BINNAME)-$(VERSION).%-arm64/$(BINNAME)
+	cd build && \
+		tar cfzv $(BINNAME)-$(VERSION).$*-arm64.tar.gz $(BINNAME)-$(VERSION).$*-arm64
+
 build/$(BINNAME)-$(VERSION).%-amd64.tar.gz: build/$(BINNAME)-$(VERSION).%-amd64/$(BINNAME)
 	cd build && \
 		tar cfzv $(BINNAME)-$(VERSION).$*-amd64.tar.gz $(BINNAME)-$(VERSION).$*-amd64
-
 
 package: $(PACKAGE_FILE)
 
@@ -140,15 +151,22 @@
 		--name exporter_exporter-$(VERSION).windows-amd64.zip \
 		-f ./build/exporter_exporter-$(VERSION).windows-amd64.zip
 
-release-%: build/exporter_exporter-$(VERSION).%-amd64.tar.gz
+.PRECIOUS: \
+	build/exporter_exporter-$(VERSION).darwin-amd64.tar.gz \
+	build/exporter_exporter-$(VERSION).linux-arm64.tar.gz \
+	build/exporter_exporter-$(VERSION).linux-amd64.tar.gz \
+	build/exporter_exporter-$(VERSION).windows-amd64.zip
+
+
+release-%: build/exporter_exporter-$(VERSION).%.tar.gz
 	go run github.com/aktau/github-release upload \
 		-u $(GITHUB_ORG) \
 		-r $(GITHUB_REPO) \
 		--tag v$(VERSION) \
-		--name exporter_exporter-$(VERSION).$*-amd64.tar.gz \
-		-f ./build/exporter_exporter-$(VERSION).$*-amd64.tar.gz
+		--name exporter_exporter-$(VERSION).$*.tar.gz \
+		-f ./build/exporter_exporter-$(VERSION).$*.tar.gz
 
-release: 
+release:
 	git tag v$(VERSION)
 	git push origin v$(VERSION)
 	go run github.com/aktau/github-release release \
@@ -156,4 +174,4 @@
 		-r $(GITHUB_REPO) \
 		--tag v$(VERSION) \
 		--name v$(VERSION)
-	make release-darwin release-linux release-windows package-release
+	make release-darwin-amd64 release-linux-amd64 release-linux-arm64 release-windows package-release release-docker
