=== debian/changelog ===
prometheus-exporter-exporter (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * gbp.conf: add defaults for import-orig.
  * d/control: add myself to Uploaders
  * d/control: bump S-V with no changes

 -- Martina Ferrari <tina@debian.org>  Thu, 13 Feb 2025 17:09:20 +0000
